Page MenuHomePhabricator

Plan announcement of new major phabricator upgrade
Closed, ResolvedPublic

Description

This upgrade will have significant effects on most phabricator users. We need a plan for how to alert people that these changes are coming, or at a minimum, that they have been deployed. All of the changes should be documented somewhere, possibly split by user-visible vs. internal/admin. I started a minimal list here: https://www.mediawiki.org/wiki/Phabricator/Feb_2016_Upgrade just as a starting point.

We should probably email to wmfall to try to alert staff, and wikitech-l. I'm not sure what other lists would be appropriate to try to reach anyone who uses phabricator a lot. Does phab itself support a tool to do a mass-alert to phab users?

I created this task so it could have an owner, and not get forgotten.

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedepriestley
ResolvedNone
Resolvedmmodell
OpenNone
Resolvedmmodell
ResolvedAklapper
Resolvedmmodell
ResolvedAklapper
DeclinedNone
Resolvedmmodell
ResolvedNone
Declinedmmodell
Resolvedmmodell
Resolvedmmodell
ResolvedAklapper
Resolvedmmodell
ResolvedNone
DeclinedVarnent
Resolvedmmodell
Resolvedmmodell
ResolvedTTO
Resolvedmmodell
Resolvedmmodell
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedNone
ResolvedNone
ResolvedAklapper
ResolvedAklapper
Resolvedmmodell
Resolved ksmith

Event Timeline

ksmith raised the priority of this task from to Needs Triage.
ksmith updated the task description. (Show Details)
ksmith added a project: Phabricator.
ksmith added a subscriber: ksmith.
Restricted Application added subscribers: StudiesWorld, Luke081515, scfc, Aklapper. · View Herald TranscriptFeb 15 2016, 10:02 PM

I can post an announcement on the front page of phabricator but the home page is customized by most heavy users so they likely would not see the message.

greg added a subscriber: greg.Feb 17 2016, 11:58 PM

I did a brief announcement on wikitech-l but we should still do some more in-depth coverage of what's new.

Aklapper triaged this task as Normal priority.Feb 28 2016, 4:58 PM

Anything left to do here with regard to "planning", or can this task be closed?
If not, who should be assignee?

mmodell closed this task as Resolved.Feb 29 2016, 2:18 AM
mmodell assigned this task to ksmith.

We should probably close this I think. @ksmith and @DStrine both helped with planning this stuff, not sure who should own it ;)

I'm OK closing it, since @DStrine is hosting a talk tomorrow to explain the changes.

Also, kudos to @mmodell and whoever else helped make the upgrade as smooth as it was for the users.